import { ElementRef, EventEmitter, NgZone } from '@angular/core';
import { Content, ScrollEvent } from '../content/content';
import { DomController } from '../../util/dom-controller';
export declare class InfiniteScroll {
    private _content;
    private _zone;
    private _elementRef;
    private _dom;
    _lastCheck: number;
    _highestY: number;
    _scLsn: any;
    _thr: string;
    _thrPx: number;
    _thrPc: number;
    _init: boolean;
    state: string;
    threshold: string;
    enabled: boolean;
    ionInfinite: EventEmitter<InfiniteScroll>;
    constructor(_content: Content, _zone: NgZone, _elementRef: ElementRef, _dom: DomController);
    _onScroll(ev: ScrollEvent): number;
    complete(): void;
    enable(shouldEnable: boolean): void;
    _setListeners(shouldListen: boolean): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
}
